Name:          libftdi
Version:       0.20
Release:       2mamba
Summary:       A library to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.intra2net.com/en/developer/libftdi/index.php
Source:        http://www.intra2net.com/en/developer/libftdi/download/libftdi-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libusb-compat-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
A library to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R using libusb, including the popular bitbang mode. This library is linked with your program in userspace, no kernel driver required.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R using libusb, including the popular bitbang mode. This library is linked with your program in userspace, no kernel driver required.
This package contains static libraries and header files needed for development.

%package -n ftdi-utils
Summary:       Utilities based on %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ftdi-utils
Utilities to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R using libusb, including the popular bitbang mode. 

%debug_package

%prep
%setup -q

%build
%configure \
   --with-boost-libdir=%{_libdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libftdi.so.*
%{_libdir}/libftdipp.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/libftdi-config
%{_libdir}/libftdi.a
%{_libdir}/libftdi.so
%{_libdir}/libftdipp.a
%{_libdir}/libftdipp.so
%{_includedir}/ftdi.h
%{_includedir}/ftdi.hpp
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README README.mingw

%files -n ftdi-utils
%defattr(-,root,root)
%{_bindir}/bitbang
%{_bindir}/bitbang2
%{_bindir}/bitbang_cbus
%{_bindir}/bitbang_ft2232
%{_bindir}/find_all
%{_bindir}/simple
%{_bindir}/baud_test
%{_bindir}/find_all_pp
%{_bindir}/serial_test
%doc LICENSE

%changelog
* Thu May 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20-2mamba
- rebuilt with debug package and without .la files

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 0.20-1mamba
- automatic version update by autodist

* Sun Aug 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-1mamba
- package created by autospec
